Skip to main content
PUT
Update main approval setup

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Unique identifier of the organization. String in UUID without dashes (32-character hex string) if access is done via values from Findity system otherwise, id of external system can be used

approvalId
string
required

UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$

Body

application/json
numberOfRequiredApprovals
integer

Number of sequential approvals an expense report must receive before it can be submitted. Only applicable when requiresApproval is true. Must be between 1 and 3.

Required range: 1 <= x <= 3
defaultApprover
object

The person designated as the default approver when no other approver is assigned to a submitter. Required when requiresApproval is true. Identify the person by providing either their Findity id or their externalId. In case that id is provided, externalId will be disregarded.

Response

Approval setup successfully updated

id
string
required

UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
requiresApproval
boolean
required

Indicates whether the organization requires approval for expense reports. true = approval is required; false = no approval is required.

numberOfRequiredApprovals
integer

Number of sequential approvals an expense report must receive before it can proceed. Optional; only applicable when requiresApproval is true.

Required range: 1 <= x <= 3
defaultApprover
object

One person has to be set as default approver. Required only when requiresApproval is true.